Tag Parser: TagParser::Margin Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::Margin Class Reference

The Margin class defines the four margins of a rectangle. More...

`#include <margin.h>`

## Public Member Functions
constexpr | Margin (std::uint32_t top=0, std::uint32_t left=0, std::uint32_t bottom=0, std::uint32_t right=0)
| Constructs a Margin.
constexpr std::uint32_t | top () const
| Returns the top margin.
void | setTop (std::uint32_t top)
| Sets the top margin to top.
constexpr std::uint32_t | left () const
| Returns the left margin.
void | setLeft (std::uint32_t left)
| Sets the left margin to left.
constexpr std::uint32_t | bottom () const
| Returns the bottom margin.
void | setBottom (std::uint32_t bottom)
| Sets the bottom margin to bottom.
constexpr std::uint32_t | right () const
| Returns the right margin.
void | setRight (std::uint32_t right)
| Sets the right margin to right.
constexpr bool | isNull () const
| Returns true if all margins are is 0; otherwise returns false;.
std::string | toString () const
| Returns a string representation of the margin.

## Detailed Description

The Margin class defines the four margins of a rectangle.

Definition at line 16 of file margin.h.

## Constructor & Destructor Documentation

## ◆ Margin()

TagParser::Margin::Margin | ( | std::uint32_t | top = 0,
|  | std::uint32_t | left = 0,
|  | std::uint32_t | bottom = 0,
|  | std::uint32_t | right = 0 )
| explicitconstexpr

Constructs a Margin.

Definition at line 40 of file margin.h.

## Member Function Documentation

## ◆ bottom()

std::uint32_t TagParser::Margin::bottom | ( |  | ) | const
| constexpr

Returns the bottom margin.

Definition at line 83 of file margin.h.

## ◆ isNull()

bool TagParser::Margin::isNull | ( |  | ) | const
| constexpr

Returns true if all margins are is 0; otherwise returns false;.

Definition at line 115 of file margin.h.

## ◆ left()

std::uint32_t TagParser::Margin::left | ( |  | ) | const
| constexpr

Returns the left margin.

Definition at line 67 of file margin.h.

## ◆ right()

std::uint32_t TagParser::Margin::right | ( |  | ) | const
| constexpr

Returns the right margin.

Definition at line 99 of file margin.h.

## ◆ setBottom()

void TagParser::Margin::setBottom | ( | std::uint32_t | bottom | ) |
| inline

Sets the bottom margin to bottom.

Definition at line 91 of file margin.h.

## ◆ setLeft()

void TagParser::Margin::setLeft | ( | std::uint32_t | left | ) |
| inline

Sets the left margin to left.

Definition at line 75 of file margin.h.

## ◆ setRight()

void TagParser::Margin::setRight | ( | std::uint32_t | right | ) |
| inline

Sets the right margin to right.

Definition at line 107 of file margin.h.

## ◆ setTop()

void TagParser::Margin::setTop | ( | std::uint32_t | top | ) |
| inline

Sets the top margin to top.

Definition at line 59 of file margin.h.

## ◆ top()

std::uint32_t TagParser::Margin::top | ( |  | ) | const
| constexpr

Returns the top margin.

Definition at line 51 of file margin.h.

## ◆ toString()

std::string TagParser::Margin::toString | ( |  | ) | const
| inline

Returns a string representation of the margin.

Definition at line 123 of file margin.h.

The documentation for this class was generated from the following file:

- margin.h